@misc{lpr,
	title = {Projet de {Loi} de programmation de la recherche pour les années 2021 à 2030 et portant diverses dispositions relatives à la recherche et à l’enseignement supérieur},
	url = {http://www.assemblee-nationale.fr/dyn/15/textes/l15t0501_texte-adopte-provisoire.pdf},
	month = nov,
	year = {2020},
	author = {Assemblée Nationale}
}

@misc{ars,
	title = {Habitat indigne},
	url = {https://www.iledefrance.ars.sante.fr/habitat-indigne},
	month = sep,
	year = {2020},
	author = {Agence Régionale de Santé Île-de-France}
}

@misc{iam,
	title = {Rêvolution},
	url = {https://genius.com/Iam-revolution-lyrics},
	month = mar,
	year = {2017},
	author = {Shurik'n and Akhenaton}
}

@misc{charte_doctorat,
	title = {Charte du doctorat de Sorbonne Université},
	url = {http://ifd.sorbonne-universite.fr/_resources/1-doctorat/textes-reference/CharteValid%25C3%25A9eCA_2_7_19.pdf},
	year = {2019},
	author = {Sorbonne Université}
}

@misc{noauthor_linux_2018,
	title = {Linux 4.19},
	url = {https://elixir.bootlin.com/linux/v4.19/source},
	month = oct,
	year = {2018},
	author = {{The kernel development community}}
}

@techreport{amazon_amazon_nodate,
	title = {Amazon {EC2} {Pricing}},
	url = {https://aws.amazon.com/ec2/pricing/on-demand/?nc1=h_ls},
	author = {{Amazon}}
}

@misc{amazon_amazon_2008,
	title = {Amazon {EC2} {Exits} {Beta} and {Now} {Offers} a {Service} {Level} {Agreement}},
	url = {https://aws.amazon.com/fr/about-aws/whats-new/2008/10/23/amazon-ec2-exits-beta-and-now-offers-a-service-level-agreement/},
	author = {{Amazon}},
	month = oct,
	year = {2008}
}

@misc{amazon_faq_nodate,
	title = {{FAQ} {Amazon} {EC2}},
	url = {https://aws.amazon.com/fr/ec2/faqs/#compute-optimized},
	author = {{Amazon}}
}

@misc{amazon_quest_ce_nodate,
	title = {Qu'est-ce que le cloud computing ?},
	url = {https://aws.amazon.com/fr/what-is-cloud-computing/},
	author = {{Amazon}}
}

@misc{tafoya_10_2019,
	title = {10 {Cloud} {Computing} {Success} {Stories} by {Leveraging} {AWS} and {Azure}},
	url = {https://www.itexico.com/blog/10-cloud-computing-success-stories-by-leveraging-aws-and-azure},
	author = {Tafoya, Fernanda},
	month = jul,
	year = {2019}
}

@misc{izrailevsky_fin_2016,
	title = {Fin de la migration de {Netflix} vers le cloud},
	url = {https://media.netflix.com/fr/company-blog/completing-the-netflix-cloud-migration},
	author = {Izrailevsky, Yury and Vlaovic, Stevan and Meshenberg, Ruslan},
	month = feb,
	year = {2016}
}

@misc{amazon_success_stories_nodate,
	title = {Success-stories de clients {AWS}},
	url = {https://aws.amazon.com/fr/solutions/case-studies/?customer-references-cards.sort-by=item.additionalFields.publishedDate&customer-references-cards.sort-order=desc},
	author = {{Amazon}}
}

@misc{larkin_disadvantages_2019,
	title = {Disadvantages of {Cloud} {Computing}},
	url = {https://cloudacademy.com/blog/disadvantages-of-cloud-computing/},
	author = {Larkin, Andrew},
	month = aug,
	year = {2019}
}

@misc{amazon_tableau_2020,
	title = {Tableau des régions},
	url = {https://aws.amazon.com/fr/about-aws/global-infrastructure/regional-product-services/},
	author = {{Amazon}},
	month = apr,
	year = {2020}
}

@misc{alibaba_alibaba_2009,
	title = {Alibaba {Cloud}},
	url = {https://us.alibabacloud.com/},
	author = {{Alibaba}},
	year = {2009}
}

@misc{ovh_ovh_2010,
	title = {{OVH} {Public} {Cloud}},
	url = {https://us.ovhcloud.com/products/public-cloud},
	author = {{OVH}},
	year = {2010}
}

@misc{microsoft_microsoft_2010,
	title = {Microsoft {Azure}},
	url = {https://azure.microsoft.com/en-us/},
	author = {{Microsoft}},
	year = {2010}
}

@misc{amazon_amazon_ecc,
	title = {Amazon {Elastic} {Compute} {Cloud}},
	url = {https://aws.amazon.com/ec2/?nc1=h_ls},
	author = {{Amazon}},
	year = {2008}
}

@misc{google_google_2011,
	title = {Google {Cloud}},
	url = {https://cloud.google.com/?hl=fr},
	author = {{Google}},
	month = oct,
	year = {2011}
}

@misc{cloudcheckr_revealed_2017,
	title = {Revealed: {The} 7 {Hidden} {Costs} {Every} {Public} {Cloud} {User} {Needs} to {Avoid}},
	url = {https://cloudcheckr.com/cloud-cost-management/revealed-7-hidden-costs-every-public-cloud-user-needs-avoid/},
	author = {{CloudCheckr}},
	month = may,
	year = {2017}
}

@misc{dynamodb_amazon_nodate,
	title = {Amazon {DynamoDB}},
	url = {https://aws.amazon.com/fr/dynamodb/},
	author = {{Amazon}}
}

@techreport{mell_nist_2011,
	address = {Gaithersburg, MD},
	title = {The {NIST} definition of cloud computing},
	url = {https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-145.pdf},
	language = {en},
	number = {NIST SP 800-145},
	urldate = {2020-07-09},
	institution = {National Institute of Standards and Technology},
	author = {Mell, P M and Grance, T},
	year = {2011},
	doi = {10.6028/NIST.SP.800-145},
	note = {Edition: 0},
	pages = {NIST SP 800--145}
}

@misc{microsoft_sla_nodate,
	title = {{SLA} summary for {Azure} services},
	url = {https://azure.microsoft.com/en-us/support/legal/sla/summary/},
	author = {{Microsoft}}
}

@misc{ovh_conditions_nodate,
	title = {{CONDITIONS} {PARTICULIÈRES} {DU}  {SERVICE} {OVH} {PUBLIC} {CLOUD}},
	url = {https://www.ovh.com/fr/support/documents_legaux/contractPartOVHCloudFr.pdf},
	author = {{OVH}}
}

@misc{amazon_sla_nodate,
	title = {Amazon {Compute} {Service} {Level} {Agreement}},
	url = {https://aws.amazon.com/compute/sla/?nc1=h_ls},
	author = {{Amazon}}
}

@article{popek_formal_1974,
	title = {Formal requirements for virtualizable third generation architectures},
	volume = {17},
	issn = {00010782},
	url = {http://portal.acm.org/citation.cfm?doid=361011.361073},
	doi = {10.1145/361011.361073},
	number = {7},
	urldate = {2018-10-30},
	journal = {Communications of the ACM},
	author = {Popek, Gerald J. and Goldberg, Robert P.},
	month = jul,
	year = {1974},
	pages = {412--421}
}

@incollection{zhang_virtualization_2012,
	address = {Berlin, Heidelberg},
	title = {Virtualization and {Cloud} {Computing}},
	volume = {143},
	isbn = {978-3-642-27322-3 978-3-642-27323-0},
	url = {http://link.springer.com/10.1007/978-3-642-27323-0_39},
	urldate = {2019-12-13},
	booktitle = {Future {Wireless} {Networks} and {Information} {Systems}},
	publisher = {Springer Berlin Heidelberg},
	author = {Xing, Yuping and Zhan, Yongzhao},
	editor = {Zhang, Ying},
	year = {2012},
	doi = {10.1007/978-3-642-27323-0_39},
	pages = {305--312}
}

@misc{noauthor_qemu_nodate,
	title = {Qemu},
	url = {https://github.com/qemu/qemu}
}

@misc{noauthor_xen_nodate,
	title = {Xen},
	url = {https://xenbits.xen.org/gitweb/?p=xen.git;a=summary}
}

@misc{sancgarg_documentation9psetup_2010,
	title = {Documentation/9psetup},
	url = {https://wiki.qemu.org/Documentation/9psetup},
	journal = {Qemu wiki},
	author = {{Sancgarg}},
	month = sep,
	year = {2010}
}

@article{bugnion_hardware_2017,
	title = {Hardware and {Software} {Support} for {Virtualization}},
	volume = {12},
	issn = {1935-3235, 1935-3243},
	url = {http://www.morganclaypool.com/doi/10.2200/S00754ED1V01Y201701CAC038},
	doi = {10.2200/S00754ED1V01Y201701CAC038},
	language = {en},
	number = {1},
	urldate = {2020-04-15},
	journal = {Synthesis Lectures on Computer Architecture},
	author = {Bugnion, Edouard and Nieh, Jason and Tsafrir, Dan},
	month = feb,
	year = {2017},
	pages = {1--206},
	file = {Version soumise:/home/francis/Zotero/storage/FUPXIFXU/Bugnion et al. - 2017 - Hardware and Software Support for Virtualization.pdf:application/pdf}
}

@misc{docker_what_nodate,
	title = {What is a {Container}?},
	url = {https://www.docker.com/resources/what-container},
	author = {{Docker}}
}

@misc{rami_rosen_namespace_2016,
	address = {Seville, Spain},
	title = {Namespace and cgroups, the basis of {Linux} containers},
	url = {https://www.netdevconf.org/1.1/proceedings/slides/rosen-namespaces-cgroups-lxc.pdf},
	author = {{Rami Rosen}},
	month = feb,
	year = {2016}
}

@misc{corbet_another_2006,
	title = {Another container implementation},
	url = {https://lwn.net/Articles/200073/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = sep,
	year = {2006}
}

@misc{corbet_process_2007,
	title = {Process containers},
	url = {https://lwn.net/Articles/236038/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = may,
	year = {2007}
}

@misc{corbet_notes_2007,
	title = {Notes from a container},
	url = {https://lwn.net/Articles/256389/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = oct,
	year = {2007}
}

@misc{rosen_understanding_2016,
	title = {Understanding the new control groups {API}},
	url = {https://lwn.net/Articles/679786/},
	journal = {LWN},
	author = {Rosen, Rami},
	month = mar,
	year = {2016}
}

@misc{corbet_fixing_2012,
	title = {Fixing control groups},
	url = {https://lwn.net/Articles/484251/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = feb,
	year = {2012}
}

@misc{heo_control_2015,
	title = {Control {Group} v2},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/cgroup-v2.html},
	journal = {The Linux Kernel documentation},
	author = {Heo, Tejun},
	month = oct,
	year = {2015}
}

@misc{suda_current_2019,
	title = {The current adoption status of cgroup v2 in containers},
	url = {https://medium.com/nttlabs/cgroup-v2-596d035be4d7},
	journal = {Medium},
	author = {Suda, Akihiro},
	month = oct,
	year = {2019}
}

@misc{sweeney_first_2019,
	title = {First {Look}: {Rootless} {Containers} and cgroup v2 on {Fedora} 31},
	url = {https://podman.io/blogs/2019/10/29/podman-crun-f31.html},
	journal = {Podman},
	author = {Sweeney, Tom},
	month = oct,
	year = {2019}
}

@misc{noauthor_control_nodate,
	title = {Control {Groups}},
	url = {https://www.static.linuxfound.org/jp_uploads/seminar20081119/CgroupMemcgMaster.pdf},
	journal = {The Linux Kernel documentation}
}

@book{smith_virtual_2005,
	address = {Amsterdam ; Boston},
	title = {Virtual machines: versatile platforms for systems and processes},
	isbn = {978-1-55860-910-5},
	shorttitle = {Virtual machines},
	publisher = {Morgan Kaufmann Publishers},
	author = {Smith, James E. and Nair, Ravi},
	year = {2005},
	keywords = {Computer architecture, System design, Virtual computer systems}
}

@inproceedings{zhang_comparative_2018,
	address = {San Francisco, CA, USA},
	title = {A {Comparative} {Study} of {Containers} and {Virtual} {Machines} in {Big} {Data} {Environment}},
	isbn = {978-1-5386-7235-8},
	url = {https://ieeexplore.ieee.org/document/8457798/},
	doi = {10.1109/CLOUD.2018.00030},
	urldate = {2020-04-15},
	booktitle = {2018 {IEEE} 11th {International} {Conference} on {Cloud} {Computing} ({CLOUD})},
	publisher = {IEEE},
	author = {Zhang, Qi and Liu, Ling and Pu, Calton and Dou, Qiwei and Wu, Liren and Zhou, Wei},
	month = jul,
	year = {2018},
	pages = {178--185}
}

@misc{docker_docker_nodate,
	title = {Docker {CE}},
	url = {https://github.com/docker/docker-ce},
	author = {{Docker}}
}

@misc{amazon_amazon_ecs,
	title = {Amazon {Elastic} {Container} {Service}},
	url = {https://aws.amazon.com/ecs/?nc1=h_ls},
	author = {{Amazon}}
}

@misc{alibaba_alibaba_nodate,
	title = {Alibaba {Container} {Service}},
	url = {https://www.alibabacloud.com/product/container-service?spm=a2c5t.10695662.1996646101.searchclickresult.55a3212bnXyv1v},
	author = {{Alibaba}}
}

@misc{microsoft_microsoft_nodate,
	title = {Microsoft {Web} {App} for {Containers}},
	url = {https://azure.microsoft.com/en-us/services/app-service/containers/},
	author = {{Microsoft}}
}

@misc{amazon_amazon_2015,
	title = {Amazon {EC2} {Container} {Service} is {Now} {Generally} {Available}},
	url = {https://aws.amazon.com/fr/about-aws/whats-new/2015/04/amazon-ec2-container-service-is-now-generally-available/},
	author = {{Amazon}},
	month = apr,
	year = {2015}
}

@misc{spicer_deep_2017,
	title = {Deep {Dive} on {Amazon} {EC2}},
	url = {https://www.slideshare.net/AmazonWebServices/deep-dive-on-amazon-ec2},
	author = {Spicer, Androski},
	month = jan,
	year = {2017}
}

@misc{amazon_types_nodate,
	title = {Types d'instances {Amazon} {EC2}},
	url = {https://aws.amazon.com/fr/ec2/instance-types/},
	author = {{Amazon}}
}

@misc{amd_amd_2019,
	title = {{AMD} {EPYC}™ {7702P}},
	url = {https://www.amd.com/en/products/cpu/amd-epyc-7702p},
	author = {{AMD}},
	month = aug,
	year = {2019}
}

@misc{hiroyu_cgroup_2008,
	title = {Cgroup {And} {Memory} {Resource}  {Controller}},
	url = {https://www.static.linuxfound.org/jp_uploads/seminar20081119/CgroupMemcgMaster.pdf},
	author = {Hiroyu, Kamezawa},
	month = nov,
	year = {2008}
}

@misc{google_preemptible_nodate,
	title = {Preemptible {VM} {Instances}},
	url = {https://cloud.google.com/compute/docs/instances/preemptible},
	author = {{Google}}
}

@misc{amazon_spot_nodate,
	title = {Amazon {EC2} {Spot} {Instances}},
	url = {https://aws.amazon.com/ec2/spot/?nc1=h_ls},
	author = {{Amazon}}
}

@misc{microsoft_sla_2018,
	title = {{SLA} for {Azure} {Cosmos} {DB}},
	url = {https://azure.microsoft.com/en-us/support/legal/sla/cosmos-db/v1_0/},
	author = {{Microsoft}},
	month = sep,
	year = {2018}
}

@misc{weins_where_2017,
	title = {Where {Is} the \${10B} in {Waste} in {Public} {Cloud} {Costs}?},
	url = {https://blogs.flexera.com/cloud/cloud-cost-analysis/where-is-the-10b-in-waste-in-public-cloud-costs/},
	journal = {Flexera Blogs},
	author = {Weins, Kim},
	month = nov,
	year = {2017}
}

@inproceedings{horn_autonomic_2001,
	title = {Autonomic {Computing}: {IBM}'s {Perspective} on the {State} of {Information} {Technology}},
	url = {https://pdfs.semanticscholar.org/1ad1/c619a9b3ba5a3ac597f51c8d15011a83423b.pdf},
	author = {Horn, Petr Jan},
	year = {2001}
}

@inproceedings{carver_acdc:_2017,
	address = {Cambridge, MA},
	title = {{ACDC}: {Advanced} consolidation for dynamic containers},
	isbn = {978-1-5386-1465-5},
	shorttitle = {{ACDC}},
	url = {http://ieeexplore.ieee.org/document/8171363/},
	doi = {10.1109/NCA.2017.8171363},
	urldate = {2019-05-22},
	booktitle = {2017 {IEEE} 16th {International} {Symposium} on {Network} {Computing} and {Applications} ({NCA})},
	publisher = {IEEE},
	author = {Carver, Damien and Sopena, Julien and Monnet, Sebastien},
	month = oct,
	year = {2017},
	pages = {1--8}
}

@article{kephart_vision_2003,
	title = {The vision of autonomic computing},
	volume = {36},
	issn = {0018-9162},
	url = {http://ieeexplore.ieee.org/document/1160055/},
	doi = {10.1109/MC.2003.1160055},
	language = {en},
	number = {1},
	urldate = {2020-02-19},
	journal = {Computer},
	author = {Kephart, J.O. and Chess, D.M.},
	month = jan,
	year = {2003},
	pages = {41--50}
}

@inproceedings{maurer_revealing_2011,
	address = {Corfu, Greece},
	title = {Revealing the {MAPE} loop for the autonomic management of {Cloud} infrastructures},
	isbn = {978-1-4577-0680-6},
	url = {http://ieeexplore.ieee.org/document/5984008/},
	doi = {10.1109/ISCC.2011.5984008},
	urldate = {2019-02-26},
	booktitle = {2011 {IEEE} {Symposium} on {Computers} and {Communications} ({ISCC})},
	publisher = {IEEE},
	author = {Maurer, Michael and Breskovic, Ivan and Emeakaroha, Vincent C. and Brandic, Ivona},
	month = jun,
	year = {2011},
	pages = {147--152}
}

@inproceedings{hefke_framework_2004,
	title = {A framework for the successful introduction of km using cbr and semantic web technologies},
	booktitle = {In: {Proceedings} of the 4th {International} {Conference} on {Knowledge} {Management} ({IKNOW}’04},
	author = {Hefke, Mark},
	year = {2004},
	pages = {731--739}
}

@book{hellerstein_feedback_2004,
	address = {New York},
	title = {Feedback control of computing systems},
	isbn = {978-0-471-66881-7},
	url = {https://ebookcentral.proquest.com/lib/upcatalunya-ebooks/detail.action?docID=214288},
	language = {English},
	urldate = {2020-04-24},
	publisher = {IEEE Press : Wiley},
	author = {Hellerstein, Joseph L},
	year = {2004},
	note = {OCLC: 1120403456}
}

@book{box_time_2016,
	address = {Hoboken, New Jersey},
	edition = {Fifth edition},
	series = {Wiley series in probabilit and statistics},
	title = {Time series analysis: forecasting and control},
	isbn = {978-1-118-67491-8 978-1-118-67492-5},
	shorttitle = {Time series analysis},
	publisher = {John Wiley \& Sons, Inc},
	author = {Box, George E. P. and Jenkins, Gwilym M. and Reinsel, Gregory C. and Ljung, Greta M.},
	year = {2016},
	keywords = {Feedback control systems, Mathematical models, Prediction theory, Time-series analysis, Transfer functions}
}

@book{sutton_reinforcement_2018,
	address = {Cambridge, Massachusetts},
	edition = {Second edition},
	series = {Adaptive computation and machine learning series},
	title = {Reinforcement learning: an introduction},
	isbn = {978-0-262-03924-6},
	shorttitle = {Reinforcement learning},
	publisher = {The MIT Press},
	author = {Sutton, Richard S. and Barto, Andrew G.},
	year = {2018},
	keywords = {Reinforcement learning}
}

@inproceedings{dupont_experimental_2015,
	address = {Boston, MA, USA},
	title = {Experimental {Analysis} on {Autonomic} {Strategies} for {Cloud} {Elasticity}},
	isbn = {978-1-4673-9566-3},
	url = {http://ieeexplore.ieee.org/document/7312143/},
	doi = {10.1109/ICCAC.2015.22},
	urldate = {2020-02-19},
	booktitle = {2015 {International} {Conference} on {Cloud} and {Autonomic} {Computing}},
	publisher = {IEEE},
	author = {Dupont, Simon and Lejeune, Jonathan and Alvares, Frederico and Ledoux, Thomas},
	month = sep,
	year = {2015},
	pages = {81--92}
}

@inproceedings{kouki_sla_driven_2012,
	address = {Taipei, Taiwan},
	title = {{SLA}-driven capacity planning for {Cloud} applications},
	isbn = {978-1-4673-4510-1 978-1-4673-4511-8 978-1-4673-4509-5},
	url = {http://ieeexplore.ieee.org/document/6427519/},
	doi = {10.1109/CloudCom.2012.6427519},
	urldate = {2019-02-28},
	booktitle = {4th {IEEE} {International} {Conference} on {Cloud} {Computing} {Technology} and {Science} {Proceedings}},
	publisher = {IEEE},
	author = {Kouki, Yousri and Ledoux, Thomas},
	month = dec,
	year = {2012},
	pages = {135--140}
}

@article{lorido_botran_review_2014,
	title = {A {Review} of {Auto}-scaling {Techniques} for {Elastic} {Applications} in {Cloud} {Environments}},
	volume = {12},
	issn = {1570-7873, 1572-9184},
	url = {http://link.springer.com/10.1007/s10723-014-9314-7},
	doi = {10.1007/s10723-014-9314-7},
	language = {en},
	number = {4},
	urldate = {2019-02-26},
	journal = {Journal of Grid Computing},
	author = {Lorido-Botran, Tania and Miguel-Alonso, Jose and Lozano, Jose A.},
	month = dec,
	year = {2014},
	pages = {559--592}
}

@inproceedings{de_cicco_resource_2013,
	address = {Budapest, Hungary},
	title = {A resource allocation controller for cloud-based adaptive video streaming},
	isbn = {978-1-4673-5753-1},
	url = {http://ieeexplore.ieee.org/document/6649328/},
	doi = {10.1109/ICCW.2013.6649328},
	urldate = {2019-03-05},
	booktitle = {2013 {IEEE} {International} {Conference} on {Communications} {Workshops} ({ICC})},
	publisher = {IEEE},
	author = {De Cicco, Luca and Mascolo, Saverio and Calamita, Dario},
	month = jun,
	year = {2013},
	pages = {723--727}
}

@misc{kubernetes_kubernetes_nodate,
	title = {Kubernetes},
	url = {https://kubernetes.io/},
	author = {{Kubernetes}}
}

@misc{noauthor_kubernetes_autoscaler_2019,
	title = {kubernetes/autoscaler},
	url = {https://github.com/kubernetes/autoscaler/blob/master/cluster-autoscaler/FAQ.md},
	month = feb,
	year = {2019}
}

@misc{barr_new_2018,
	title = {New {AWS} {Auto} {Scaling} – {Unified} {Scaling} {For} {Your} {Cloud} {Applications}},
	url = {https://aws.amazon.com/fr/blogs/aws/aws-auto-scaling-unified-scaling-for-your-cloud-applications/},
	journal = {AWS News Blog},
	author = {Barr, Jeff},
	month = jan,
	year = {2018}
}

@techreport{amazon_aws_2018,
	title = {{AWS} {Auto} {Scaling} {Guide} de l'utilisateur},
	url = {https://docs.aws.amazon.com/fr_fr/autoscaling/plans/userguide/as-plans-ug.pdf#auto-scaling-getting-started},
	author = {{Amazon}},
	month = nov,
	year = {2018},
	pages = {23}
}

@misc{noauthor_google_2018,
	title = {Google {Cloud} : Équilibrage de charge et scaling},
	url = {https://cloud.google.com/compute/docs/load-balancing-and-autoscaling#policies},
	month = dec,
	year = {2018}
}

@misc{noauthor_microsoft_2017,
	title = {Microsoft {Azure}: {Autoscaling}},
	url = {https://docs.microsoft.com/en-us/azure/architecture/best-practices/auto-scaling},
	journal = {Microsoft Azure},
	month = may,
	year = {2017}
}

@article{berekmeri_feedback_2018,
	title = {Feedback {Autonomic} {Provisioning} for {Guaranteeing} {Performance} in {MapReduce} {Systems}},
	volume = {6},
	issn = {2168-7161, 2372-0018},
	url = {https://ieeexplore.ieee.org/document/7446289/},
	doi = {10.1109/TCC.2016.2550047},
	number = {4},
	urldate = {2019-02-27},
	journal = {IEEE Transactions on Cloud Computing},
	author = {Berekmeri, Mihaly and Serrano, Damian and Bouchenak, Sara and Marchand, Nicolas and Robu, Bogdan},
	month = oct,
	year = {2018},
	pages = {1004--1016}
}

@article{malrait_experience_2011,
	title = {Experience with {CONSER}: {A} {System} for {Server} {Control} through {Fluid} {Modeling}},
	volume = {60},
	issn = {0018-9340},
	shorttitle = {Experience with {CONSER}},
	url = {http://ieeexplore.ieee.org/document/5499462/},
	doi = {10.1109/TC.2010.164},
	number = {7},
	urldate = {2019-02-27},
	journal = {IEEE Transactions on Computers},
	author = {Malrait, Luc and Bouchenak, Sara and Marchand, Nicolas},
	month = jul,
	year = {2011},
	pages = {951--963}
}

@inproceedings{malrait_fluid_2009,
	address = {Lisbon, Portugal},
	title = {Fluid modeling and control for server system performance and availability},
	isbn = {978-1-4244-4422-9},
	url = {http://ieeexplore.ieee.org/document/5270311/},
	doi = {10.1109/DSN.2009.5270311},
	urldate = {2019-02-27},
	booktitle = {2009 {IEEE}/{IFIP} {International} {Conference} on {Dependable} {Systems} \& {Networks}},
	publisher = {IEEE},
	author = {Malrait, Luc and Bouchenak, Sara and Marchand, Nicolas},
	month = jun,
	year = {2009},
	pages = {389--398}
}

@inproceedings{rao_distributed_2011,
	address = {Singapore, Singapore},
	title = {A {Distributed} {Self}-{Learning} {Approach} for {Elastic} {Provisioning} of {Virtualized} {Cloud} {Resources}},
	isbn = {978-1-4577-0468-0},
	url = {http://ieeexplore.ieee.org/document/6005367/},
	doi = {10.1109/MASCOTS.2011.47},
	urldate = {2019-02-26},
	booktitle = {2011 {IEEE} 19th {Annual} {International} {Symposium} on {Modelling}, {Analysis}, and {Simulation} of {Computer} and {Telecommunication} {Systems}},
	publisher = {IEEE},
	author = {Rao, Jia and Bu, Xiangping and Xu, Cheng-Zhong and Wang, Kun},
	month = jul,
	year = {2011},
	pages = {45--54}
}

@article{armbrust_above_2009,
	title = {Above the {Clouds}: {A} {Berkeley} {View} of {Cloud} {Computing}},
	author = {Armbrust and Michael and Fox, Armando and Armando and Griffith and Rean and Joseph and D, Anthony and Katz, Randy and H, Randy and Konwinski, Andy and Andrew and Lee, Gunho and Gunho and Patterson and A, David and Rabkin and Ariel and Stoica and Matei},
	year = {2009}
}

@inproceedings{denning_working_1967,
	address = {Not Known},
	title = {The working set model for program behavior},
	url = {http://portal.acm.org/citation.cfm?doid=800001.811670},
	doi = {10.1145/800001.811670},
	language = {en},
	urldate = {2019-03-13},
	booktitle = {Proceedings of the {ACM} symposium on {Operating} {System} {Principles}  - {SOSP} '67},
	publisher = {ACM Press},
	author = {Denning, Peter J.},
	year = {1967},
	pages = {15.1--15.12}
}

@misc{gregg_working_2018,
	title = {Working {Set} {Size} {Estimation}},
	url = {http://www.brendangregg.com/wss.html},
	author = {Gregg, Brendan},
	month = feb,
	year = {2018}
}

@inproceedings{moore_transforming_2013,
	address = {Prague, Czech Republic},
	title = {Transforming reactive auto-scaling into proactive auto-scaling},
	isbn = {978-1-4503-2075-7},
	url = {http://dl.acm.org/citation.cfm?doid=2460756.2460758},
	doi = {10.1145/2460756.2460758},
	language = {en},
	urldate = {2019-02-26},
	booktitle = {Proceedings of the 3rd {International} {Workshop} on {Cloud} {Data} and {Platforms} - {CloudDP} '13},
	publisher = {ACM Press},
	author = {Moore, Laura R. and Bean, Kathryn and Ellahi, Tariq},
	year = {2013},
	pages = {7--12}
}

@inproceedings{kriushanth_load_2015,
	address = {Coimbatore, India},
	title = {Load balancer behavior identifier ({LoBBI}) for dynamic threshold based auto-scaling in cloud},
	isbn = {978-1-4799-6804-6 978-1-4799-6805-3},
	url = {http://ieeexplore.ieee.org/document/7218115/},
	doi = {10.1109/ICCCI.2015.7218115},
	urldate = {2019-02-26},
	booktitle = {2015 {International} {Conference} on {Computer} {Communication} and {Informatics} ({ICCCI})},
	publisher = {IEEE},
	author = {Kriushanth, M. and Arockiam, L.},
	month = jan,
	year = {2015},
	pages = {1--5}
}

@inproceedings{li_auto_scaling_2016,
	address = {Changchun, China},
	title = {Auto-scaling web applications in hybrid cloud based on docker},
	isbn = {978-1-5090-2129-1},
	url = {http://ieeexplore.ieee.org/document/8070122/},
	doi = {10.1109/ICCSNT.2016.8070122},
	urldate = {2019-02-26},
	booktitle = {2016 5th {International} {Conference} on {Computer} {Science} and {Network} {Technology} ({ICCSNT})},
	publisher = {IEEE},
	author = {Li, Yunchun and Xia, Yumeng},
	month = dec,
	year = {2016},
	pages = {75--79}
}

@inproceedings{jin_gang_research_2017,
	address = {Changsha},
	title = {Research and {Application} of {Auto}-{Scaling} {Unified} {Communication} {Server} {Based} on {Docker}},
	isbn = {978-1-5386-1230-9},
	url = {http://ieeexplore.ieee.org/document/8089924/},
	doi = {10.1109/ICICTA.2017.41},
	urldate = {2019-02-26},
	booktitle = {2017 10th {International} {Conference} on {Intelligent} {Computation} {Technology} and {Automation} ({ICICTA})},
	publisher = {IEEE},
	author = {Jin-Gang, Yu and Ya-Rong, Zhai and Bo, Yu and Shu, Li},
	month = oct,
	year = {2017},
	pages = {152--156}
}

@inproceedings{ge_resource_2019,
	address = {Cambridge, MA, USA},
	title = {Resource {Provisioning} for {MapReduce} {Computation} in {Cloud} {Container} {Environment}},
	isbn = {978-1-72812-522-0},
	url = {https://ieeexplore.ieee.org/document/8935023/},
	doi = {10.1109/NCA.2019.8935023},
	urldate = {2020-04-21},
	booktitle = {2019 {IEEE} 18th {International} {Symposium} on {Network} {Computing} and {Applications} ({NCA})},
	publisher = {IEEE},
	author = {Ge, Yaozhong and Ding, Zhe and Tang, Maolin and Tian, Yu-Chu},
	month = sep,
	year = {2019},
	pages = {1--4}
}

@inproceedings{carver_acdc_2017,
	address = {Cambridge, MA},
	title = {{ACDC}: {Advanced} consolidation for dynamic containers},
	isbn = {978-1-5386-1465-5},
	shorttitle = {{ACDC}},
	url = {http://ieeexplore.ieee.org/document/8171363/},
	doi = {10.1109/NCA.2017.8171363},
	urldate = {2019-05-22},
	booktitle = {2017 {IEEE} 16th {International} {Symposium} on {Network} {Computing} and {Applications} ({NCA})},
	publisher = {IEEE},
	author = {Carver, Damien and Sopena, Julien and Monnet, Sebastien},
	month = oct,
	year = {2017},
	pages = {1--8}
}

@misc{capitulino_automatic_2013,
	title = {Automatic ballooning},
	url = {https://www.linux-kvm.org/images/5/58/Kvm-forum-2013-automatic-ballooning.pdf},
	author = {Capitulino, Luiz},
	month = oct,
	year = {2013}
}

@misc{kvm_automatic_2013,
	title = {Automatic {Ballooning}},
	url = {https://www.linux-kvm.org/page/Projects/auto-ballooning},
	author = {{KVM}},
	year = {2013}
}

@misc{qemu_qemu_2019,
	title = {Qemu},
	url = {https://wiki.archlinux.org/index.php/QEMU},
	language = {English},
	author = {{Qemu}},
	month = may,
	year = {2019}
}

@inproceedings{kim_dynamic_2015,
	address = {Washington DC, DC, USA},
	title = {Dynamic {Memory} {Pressure} {Aware} {Ballooning}},
	isbn = {978-1-4503-3604-8},
	url = {http://dl.acm.org/citation.cfm?doid=2818950.2818967},
	doi = {10.1145/2818950.2818967},
	language = {en},
	urldate = {2019-03-12},
	booktitle = {Proceedings of the 2015 {International} {Symposium} on {Memory} {Systems} - {MEMSYS} '15},
	publisher = {ACM Press},
	author = {Kim, Jinchun and Fedorov, Viacheslav and Gratz, Paul V. and Reddy, A. L. Narasimha},
	year = {2015},
	pages = {103--112}
}

@inproceedings{magenheimer2009transcendent,
	title={Transcendent memory and linux},
	author={Magenheimer, Dan and Mason, Chris and McCracken, Dave and Hackel, Kurt},
	booktitle={Proceedings of the Linux Symposium},
	pages={191--200},
	year={2009},
	organization={Citeseer}
}

@book{bovet_understanding_2006,
	address = {Beijing},
	edition = {3. ed., covers version 2.6},
	title = {Understanding the {Linux} kernel: from {I}/{O} ports to process management},
	isbn = {978-0-596-00565-8},
	shorttitle = {Understanding the {Linux} kernel},
	language = {eng},
	publisher = {O'Reilly},
	author = {Bovet, Daniel P. and Cesati, Marco},
	year = {2006},
	note = {OCLC: 255008440}
}

@book{gorman_understanding_2004,
	address = {Upper Saddle River, NJ},
	series = {Bruce {Perens}' open source series},
	title = {Understanding  {The} {Linux} {Virtual} {Memory} {Manager}},
	isbn = {978-0-13-145348-7},
	shorttitle = {Understanding the {Linux} {Virtual} {Memory} {Manager}},
	language = {eng},
	publisher = {Prentice Hall},
	author = {Gorman, Mel},
	year = {2004},
	note = {OCLC: 834670086}
}

@book{love_linux_2010,
	address = {Upper Saddle River, NJ},
	edition = {3rd ed},
	series = {Developer's library : essential references for programming professionals},
	title = {Linux kernel development},
	isbn = {978-0-672-32946-3},
	publisher = {Addison-Wesley},
	author = {Love, Robert},
	year = {2010},
	note = {OCLC: ocn268788260},
	keywords = {Linux, Operating systems (Computers)}
}

@article{denning_virtual_1970,
	title = {Virtual {Memory}},
	volume = {2},
	issn = {03600300},
	url = {http://portal.acm.org/citation.cfm?doid=356571.356573},
	doi = {10.1145/356571.356573},
	abstract = {L'auteur indique que la compaction n'est pas très efficace.},
	number = {3},
	urldate = {2017-10-06},
	journal = {ACM Computing Surveys},
	author = {Denning, Peter J.},
	month = sep,
	year = {1970},
	pages = {153--189}
}

@misc{scott_latency_2020,
	title = {Latency {Numbers} {Every} {Programmer} {Should} {Know}},
	url = {https://colin-scott.github.io/personal_website/research/interactive_latency.html},
	author = {Scott, Colin},
	year = {2020}
}

@misc{sploitfun_syscalls_2015,
	title = {Syscalls used by malloc.},
	url = {https://sploitfun.wordpress.com/2015/02/11/syscalls-used-by-malloc/},
	journal = {sploitF-U-N},
	author = {{sploitfun}},
	month = feb,
	year = {2015}
}

@misc{ott_virtual_2016,
	title = {Virtual {Memory} and {Linux}},
	url = {https://elinux.org/images/4/4c/Ott.pdf},
	author = {Ott, Alan},
	month = apr,
	year = {2016}
}

@article{von_neumann_first_1993,
	title = {First draft of a report on the {EDVAC}},
	volume = {15},
	issn = {1058-6180},
	url = {http://ieeexplore.ieee.org/document/238389/},
	doi = {10.1109/85.238389},
	number = {4},
	urldate = {2020-05-28},
	journal = {IEEE Annals of the History of Computing},
	author = {von Neumann, J.},
	year = {1993},
	pages = {27--75}
}

@misc{arm_general_2009,
	title = {{GENERAL}: {HARVARD} {VS} {VON} {NEUMANN}},
	url = {https://www.keil.com/support/docs/3445.htm},
	journal = {Arm Keil},
	month = jan,
	year = {2009},
	author = {ARM}
}

@misc{ wiki_memory,
	author = "Wiktionnaire",
	title = "mémoire --- Wiktionnaire",
	year = "2020",
	url = "https://fr.wiktionary.org/w/index.php?title=m%C3%A9moire&oldid=27782952",
	note = "[En ligne ; accédé le 17-avril-2020]"
}

@misc{ wiki_von_neumann,
	author = "Wikimedia Commons",
	title = "File:Von Neumann Architecture.svg --- Wikimedia Commons{,} the free media repository",
	year = "2020",
	url = "https://commons.wikimedia.org/w/index.php?title=File:Von_Neumann_Architecture.svg&oldid=420303556",
	note = "[Online; accessed 29-May-2020]"
}

@techreport{intel_basic_2019,
	title = {Intel® 64 and {IA}-32 {Architectures} {Software} {Developer}’s {Manual} {Volume} 1: {Basic} {Architecture}},
	url = {https://software.intel.com/sites/default/files/managed/39/c5/325462-sdm-vol-1-2abcd-3abcd.pdf},
	number = {253665},
	author = {{Intel}},
	institution = {{Intel}},
	month = oct,
	year = {2019}
}

@techreport{intel_sys_prog_2019,
	title = {Intel® 64 and {IA}-32 {Architectures} {Software} {Developer}’s {Manual} {Volume} 3 ({3A}, {3B}, {3C} \& {3D}): {System} {Programming} {Guide}},
	url = {https://software.intel.com/sites/default/files/managed/39/c5/325462-sdm-vol-1-2abcd-3abcd.pdf},
	number = {325384},
	author = {{Intel}},
	institution = {{Intel}},
	month = oct,
	year = {2019}
}

@techreport{intel_5_level_2017,
	title = {5-{Level} {Paging} and 5-{Level} {EPT}},
	url = {https://software.intel.com/sites/default/files/managed/2b/80/5-level_paging_white_paper.pdf},
	author = {{Intel}},
	institution = {{Intel}},
	month = may,
	year = {2017}
}

@misc{kroah_hartman_linux_2018,
	title = {Linux 4.19},
	url = {https://lkml.org/lkml/2018/10/22/184},
	author = {Kroah-Hartman, Greg},
	month = oct,
	year = {2018}
}

@book{jacob_memory_2007,
	address = {San Francisco, CA, USA},
	title = {Memory {Systems}: {Cache}, {DRAM}, {Disk}},
	isbn = {978-0-12-379751-3},
	shorttitle = {Memory {Systems}},
	publisher = {Morgan Kaufmann Publishers Inc.},
	author = {Jacob, Bruce and Ng, Spencer and Wang, David},
	year = {2007}
}

@techreport{jedec_ddr4_2017,
	title = {{DDR4} {SDRAM}},
	number = {JESD79-4B},
	author = {{JEDEC}},
	month = jun,
	year = {2017},
	file = {DDR4.pdf:/home/francis/Zotero/storage/A926PGR2/DDR4.pdf:application/pdf}
}

@book{boukhobza_flash_2017,
	address = {London, UK : Kidlington, Oxford},
	series = {Energy management in embedded systems set},
	title = {Flash memory integration: performance and energy considerations},
	isbn = {978-1-78548-124-6},
	shorttitle = {Flash memory integration},
	publisher = {ISTE Press ; Elsevier},
	author = {Boukhobza, Jalil and Olivier, Pierre},
	year = {2017},
	note = {OCLC: ocn960894929},
	keywords = {Flash memories (Computers)}
}

@misc{fisher_what_2019,
	title = {What {Does} a {Hard} {Drive}'s {Seek} {Time} {Mean}?},
	url = {https://www.lifewire.com/what-does-seek-time-mean-2626007},
	author = {Fisher, Tim},
	month = dec,
	year = {2019}
}

@article{wulf_hitting_1995,
	title = {Hitting the memory wall: implications of the obvious},
	volume = {23},
	issn = {0163-5964},
	shorttitle = {Hitting the memory wall},
	url = {https://dl.acm.org/doi/10.1145/216585.216588},
	doi = {10.1145/216585.216588},
	language = {en},
	number = {1},
	urldate = {2020-05-29},
	journal = {ACM SIGARCH Computer Architecture News},
	author = {Wulf, Wm. A. and McKee, Sally A.},
	month = mar,
	year = {1995},
	pages = {20--24}
}

@misc{allan_ddr4_nodate,
	title = {{DDR4} {Bank} {Groups} in {Embedded} {Applications}},
	url = {https://www.synopsys.com/designware-ip/technical-bulletin/ddr4-bank-groups.html},
	author = {Allan, Graham}
}

@misc{irds_what_2016,
	title = {What {Is} the {IRDS}},
	url = {https://irds.ieee.org/},
	author = {{IRDS}},
	month = may,
	year = {2016}
}

@misc{waldrop_chips_2016,
	title = {The chips are down for {Moore}’s law},
	url = {https://www.nature.com/news/the-chips-are-down-for-moore-s-law-1.19338},
	author = {Waldrop, Mitchell},
	month = feb,
	year = {2016}
}

@misc{kerrisk_lce_2012,
	title = {{LCE}: {The} failure of operating systems and how we can fix it},
	url = {https://lwn.net/Articles/524952/},
	journal = {LWN},
	author = {Kerrisk, Michael},
	month = nov,
	year = {2012}
}

@misc{kerrisk_namespaces_2013,
	title = {Namespaces in operation, part 1: namespaces overview},
	url = {https://lwn.net/Articles/531114/},
	journal = {LWN},
	author = {Kerrisk, Michael},
	month = jan,
	year = {2013}
}

@misc{menage_control_2004,
	title = {Control {Groups}},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/cgroup-v1/cgroups.html},
	author = {Menage, Paul and Jackson, Paul and Lameter, Christoph},
	year = {2004}
}

@misc{cpusets_cgroup,
	title = {CPUSETS},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/cgroup-v1/cpusets.html},
}

@misc{process_number_cgroup,
	title = {Process Number Controller},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/cgroup-v1/pids.html},
}

@misc{ wiki_fork_bomb,
	author = "{Wikipedia contributors}",
	title = "Fork bomb --- {Wikipedia}{,} The Free Encyclopedia",
	year = "2020",
	url = "https://en.wikipedia.org/w/index.php?title=Fork_bomb&oldid=958857438",
	note = "[Online; accessed 2-June-2020]"
}

@misc{noauthor_lxc_2008,
	title = {{LXC}},
	url = {https://linuxcontainers.org/lxc/},
	year = {2008}
}

@misc{noauthor_kata_2017,
	title = {Kata {Containers}},
	url = {https://katacontainers.io/},
	year = {2017}
}

@misc{noauthor_podman_nodate,
	title = {Podman},
	url = {https://podman.io/}
}

@misc{opencontainers_runc_nodate,
	title = {runc},
	url = {https://github.com/opencontainers/runc},
	author = {{opencontainers}}
}

@misc{hykes_introducing_2015,
	title = {Introducing {runC}: a lightweight universal container runtime},
	url = {https://www.docker.com/blog/runc/},
	journal = {Docker blog},
	author = {Hykes, Solomon},
	month = jun,
	year = {2015}
}

@misc{docker_hub,
	title = {Docker {Hub}},
	url = {https://hub.docker.com/},
	author = {{Docker}}
}

@book{mckendrick_mastering_2017,
	address = {Birmingham, Mumbai},
	edition = {Second edition},
	title = {Mastering {Docker}: master this widely used containerization tool},
	isbn = {978-1-78728-024-3},
	shorttitle = {Mastering {Docker}},
	language = {eng},
	publisher = {Packt},
	author = {McKendrick, Russ and Gallagher, Scott},
	year = {2017},
	note = {OCLC: ocn995131069}
}

@misc{containerd_containerd_nodate,
	title = {containerd},
	url = {https://github.com/containerd/containerd},
	author = {{containerd}}
}

@misc{crosby_what_2017,
	title = {What is containerd ?},
	url = {https://blog.docker.com/2017/08/what-is-containerd-runtime/},
	journal = {Docker blog},
	author = {Crosby, Michael},
	month = aug,
	year = {2017}
}

@misc{noauthor_moby_nodate,
	title = {Moby},
	url = {https://github.com/moby/moby}
}

@misc{docker_docker_nodate-1,
	title = {Docker {CLI}},
	url = {https://github.com/docker/cli},
	author = {{Docker}}
}

@misc{porterie_docker_2016,
	title = {Docker 1.11: {The} first runtime built on containerd and based on {OCI} technology},
	url = {https://blog.docker.com/2016/04/docker-engine-1-11-runc/},
	journal = {Docker blog},
	author = {Porterie, Arnaud},
	month = apr,
	year = {2016}
}

@misc{corbet_integrating_2011,
	title = {Integrating memory control groups},
	url = {https://lwn.net/Articles/443241/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = may,
	year = {2011}
}

@misc{rik_van_riel_patch_2008,
	title = {[{PATCH} -mm 06/24] vmscan: split {LRU} lists into anon \& file share},
	url = {https://lkml.org/lkml/2008/6/11/276},
	language = {Anglais},
	author = {{Rik van Riel}},
	month = jun,
	year = {2008}
}

@misc{noauthor_memory_nodate,
	title = {Memory {Resource} {Controller}},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/cgroup-v1/memory.html}
}

@book{beyer_site_2016,
	title = {Site reliability engineering: how {Google} runs production systems},
	isbn = {978-1-4919-2912-4},
	shorttitle = {Site reliability engineering},
	language = {English},
	author = {Beyer, Betsy and Jones, Chris and Petoff, Jennifer and Murphy, Niall Richard},
	year = {2016},
	note = {OCLC: 930683030}
}

@misc{alexey_kopytov_sysbench_nodate,
	title = {sysbench},
	author = {{Alexey Kopytov}}
}

@misc{noauthor_mysql_nodate,
	title = {mysql},
	url = {https://dev.mysql.com/doc/refman/5.7/en/}
}

@misc{noauthor_slowquerylog_nodate,
	title = {The Slow Query Log},
	url = {https://dev.mysql.com/doc/refman/5.7/en/slow-query-log.html}
}

@misc{jp9000_obs_2018,
	title = {OBS Studio},
	author = {jp9000 and Dmitry-Me},
	year = {2018},
	url = {
https://github.com/obsproject/obs-studio/blob/c938ea712bce0e9d8e0cf348fd8f77725122b9a5/libobs/media-io/frame-rate.h#L21}
}

@misc{zaitsev_impact_2017,
	title = {The {Impact} of {Swapping} on {MySQL} {Performance}},
	url = {https://www.percona.com/blog/2017/01/13/impact-of-swapping-on-mysql-performance/},
	journal = {Percona},
	author = {Zaitsev, Peter},
	month = jan,
	year = {2017}
}

@incollection{grid5000,
	title = {Adding Virtualization Capabilities to the {Grid'5000} Testbed},
	author = {Balouek, Daniel and Carpen Amarie, Alexandra and Charrier, Ghislain and Desprez, Fr{\'e}d{\'e}ric and Jeannot, Emmanuel and Jeanvoine, Emmanuel and L{\`e}bre, Adrien and Margery, David and Niclausse, Nicolas and Nussbaum, Lucas and Richard, Olivier and P{\'e}rez, Christian and Quesnel, Flavien and Rohr, Cyril and Sarzyniec, Luc},
	booktitle = {Cloud Computing and Services Science},
	publisher = {Springer International Publishing},
	pages = {3-20},
	volume = {367},
	editor = {Ivanov, Ivan I. and van Sinderen, Marten and Leymann, Frank and Shan, Tony },
	series = {Communications in Computer and Information Science },
	isbn = {978-3-319-04518-4 },
	doi = {10.1007/978-3-319-04519-1\_1 },
	year = {2013},
}

@misc{dell_dell_2012,
	title = {Spécifications matérielles pour la station de travail Precision T3600},
	url = {https://www.dell.com/support/article/fr-fr/sln290703/the-hardware-specifications-for-the-precision-t3600-desktop-workstation},
	author = {{Dell}},
	year = {2012}
}

@misc{intel_intel_2012,
	title = {Intel {Xeon} {Processor} E5-1603},
	url = {https://ark.intel.com/content/www/fr/fr/ark/products/64600/intel-xeon-processor-e5-1603-10m-cache-2-80-ghz-0-0-gt-s-intel-qpi.html},
	author = {{Intel}},
	year = {2012}
}

@misc{intel_intel_2017,
	title = {Intel {Xeon} {Processor} Gold 6130},
	url = {https://ark.intel.com/content/www/us/en/ark/products/120492/intel-xeon-gold-6130-processor-22m-cache-2-10-ghz.html},
	author = {{Intel}},
	year = {2017}
}

@misc{noauthor_docker_py_nodate,
	title = {docker-py},
	url = {https://github.com/docker/docker-py}
}

@misc{thesis_exps,
	title = {Thesis\_experiments},
	url = {https://gitlab.com/eiffel_thesis/thesis_software/thesis_experiments},
	author = {Francis Laniel},
	year = {2020}
}

@inproceedings{laniel_highlighting_2019,
	address = {Cambridge, MA, USA},
	title = {Highlighting the {Container} {Memory} {Consolidation} {Problems} in {Linux}},
	isbn = {978-1-72812-522-0},
	url = {https://ieeexplore.ieee.org/document/8935034/},
	doi = {10.1109/NCA.2019.8935034},
	urldate = {2020-02-18},
	booktitle = {2019 {IEEE} 18th {International} {Symposium} on {Network} {Computing} and {Applications} ({NCA})},
	publisher = {IEEE},
	author = {Laniel, Francis and Carver, Damien and Sopena, Julien and Wajsburt, Franck and Lejeune, Jonathan and Shapiro, Marc},
	month = sep,
	year = {2019},
	pages = {1--4}
}

@misc{thesis_g5kscripts,
	title = {Thesis\_g5kscripts},
	url = {https://gitlab.com/eiffel_thesis/thesis_software/thesis_g5kscripts},
	author = {Francis Laniel},
	year = {2019}
}

@misc{thesis_scripts,
	title = {Thesis\_scripts},
	url = {https://gitlab.com/eiffel_thesis/thesis_software/thesis_scripts},
	author = {Francis Laniel},
	year = {2020}
}

@misc{thesis_sysbench,
	title = {Thesis\_sysbench},
	url = {https://gitlab.com/eiffel_thesis/thesis_software/thesis_sysbench},
	author = {Francis Laniel},
	year = {2019}
}

@misc{thesis_images,
	title = {Thesis\_images},
	url = {https://gitlab.com/eiffel_thesis/thesis_software/thesis_images},
	author = {Francis Laniel},
	year = {2020}
}

@article{meisner_powernap_2009,
	title = {{PowerNap}: eliminating server idle power},
	volume = {37},
	issn = {01635964},
	shorttitle = {{PowerNap}},
	url = {http://dl.acm.org/citation.cfm?doid=2528521.1508269},
	doi = {10.1145/2528521.1508269},
	language = {en},
	number = {1},
	urldate = {2018-03-27},
	journal = {ACM SIGARCH Computer Architecture News},
	author = {Meisner, David and Gold, Brian T. and Wenisch, Thomas F.},
	month = mar,
	year = {2009},
	pages = {205}
}

@article{barroso_case_2007,
	title = {The {Case} for {Energy}-{Proportional} {Computing}},
	volume = {40},
	issn = {0018-9162},
	url = {http://ieeexplore.ieee.org/document/4404806/},
	doi = {10.1109/MC.2007.443},
	number = {12},
	urldate = {2018-04-03},
	journal = {Computer},
	author = {Barroso, Luiz André and Hölzle, Urs},
	month = dec,
	year = {2007},
	pages = {33--37}
}

@article{barroso_datacenter_2013,
	title = {The {Datacenter} as a {Computer}: {An} {Introduction} to the {Design} of {Warehouse}-{Scale} {Machines}, {Second} edition},
	volume = {8},
	issn = {1935-3235, 1935-3243},
	shorttitle = {The {Datacenter} as a {Computer}},
	url = {http://www.morganclaypool.com/doi/abs/10.2200/S00516ED2V01Y201306CAC024},
	doi = {10.2200/S00516ED2V01Y201306CAC024},
	language = {en},
	number = {3},
	urldate = {2018-06-29},
	journal = {Synthesis Lectures on Computer Architecture},
	author = {Barroso, Luiz André and Clidaras, Jimmy and Hölzle, Urs},
	month = jul,
	year = {2013},
	pages = {1--154}
}

@inproceedings{liu_measurement_2011,
	address = {Sydney, Australia},
	title = {A {Measurement} {Study} of {Server} {Utilization} in {Public} {Clouds}},
	isbn = {978-1-4673-0006-3 978-0-7695-4612-4},
	url = {http://ieeexplore.ieee.org/document/6118751/},
	doi = {10.1109/DASC.2011.87},
	urldate = {2019-06-20},
	booktitle = {2011 {IEEE} {Ninth} {International} {Conference} on {Dependable}, {Autonomic} and {Secure} {Computing}},
	publisher = {IEEE},
	author = {Liu, Huan},
	month = dec,
	year = {2011},
	pages = {435--442}
}

@misc{noauthor_code_2001,
	chapter = {Article R412-29},
	title = {Code de la route},
	url = {https://www.legifrance.gouv.fr/affichCodeArticle.do;jsessionid=8D4439635D4B08FEB2B955D9E3854E70.tplgfr42s_1?idArticle=LEGIARTI000006842150&cidTexte=LEGITEXT000006074228&dateTexte=20170301},
	month = mar,
	year = {2001}
}

@misc{noauthor_probe_nodate,
	title = {Probe effect},
	url = {https://www.semanticscholar.org/topic/Probe-effect/902040},
}

@misc{the_kernel_development_community_ioctl_nodate,
	title = {ioctl based interfaces},
	url = {https://www.kernel.org/doc/html/latest/driver-api/ioctl.html},
	journal = {The Linux Kernel documentation},
	author = {{The kernel development community}}
}

@misc{thesis_linux,
	title = {Thesis\_linux},
	author = {{Francis Laniel}},
	url = {https://gitlab.com/eiffel_thesis/thesis_software/thesis_linux},
	year = {2020}
}

@misc{noauthor_gatling_nodate,
	title = {Gatling},
	url = {https://gatling.io/}
}

@misc{noauthor_woocommerce_nodate,
	title = {WooCommerce},
	url = {https://woocommerce.com/}
}

@misc{noauthor_wordpress_nodate,
	title = {WordPress},
	url = {https://wordpress.org/}
}

@misc{noauthor_apache_nodate,
	title = {Apache HTTP Server Project},
	url = {https://httpd.apache.org/}
}

@misc{thesis_gatling,
	title = {Thesis\_gatling},
	author = {{Francis Laniel}},
	url = {https://gitlab.com/eiffel_thesis/thesis_software/thesis_gatling},
	year = {2020}
}

@book{zaker_online_2019,
	title = {Online {Shopping} {Store} - {Web} {Server} {Logs}},
	url = {https://doi.org/10.7910/DVN/3QBYB5},
	publisher = {Harvard Dataverse},
	author = {Zaker, Farzin},
	year = {2019},
	doi = {10.7910/DVN/3QBYB5},
	note = {Version Number: V1}
}

@book{wilkes_yet_2020,
	address = {Mountain View, CA, USA},
	title = {Yet more {Google} compute cluster trace data},
	url = {https://ai.googleblog.com/2020/04/yet-more-google-compute-cluster-trace.html},
	author = {Wilkes, John},
	month = apr,
	year = {2020},
	note = {Published: Google research blog}
}

@inproceedings{cortez_resource_2017,
	address = {Shanghai China},
	title = {Resource {Central}: {Understanding} and {Predicting} {Workloads} for {Improved} {Resource} {Management} in {Large} {Cloud} {Platforms}},
	isbn = {978-1-4503-5085-3},
	shorttitle = {Resource {Central}},
	url = {https://dl.acm.org/doi/10.1145/3132747.3132772},
	doi = {10.1145/3132747.3132772},
	language = {en},
	urldate = {2020-08-25},
	booktitle = {Proceedings of the 26th {Symposium} on {Operating} {Systems} {Principles}},
	publisher = {ACM},
	author = {Cortez, Eli and Bonde, Anand and Muzio, Alexandre and Russinovich, Mark and Fontoura, Marcus and Bianchini, Ricardo},
	month = oct,
	year = {2017},
	pages = {153--167}
}

@misc{alibaba_alibaba_2017,
	title = {Alibaba {Cluster} {Trace} {Program}},
	url = {https://github.com/alibaba/clusterdata},
	author = {{Alibaba}},
	year = {2017}
}

@misc{noauthor_worldcup98_1998,
	title = {{WorldCup98}},
	url = {ftp://ita.ee.lbl.gov/html/contrib/WorldCup.html},
	year = {1998}
}